%global sover 26

Summary:        1394-based digital camera control library
Name:           libdc1394
Version:        2.2.7
Release:        1%{?dist}
License:        LGPLv2+
URL:            http://sourceforge.net/projects/%{name}/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}-2/%{version}/%{name}-%{version}.tar.gz
Patch3000:      %{name}-sdl.patch

BuildRequires:  gcc make autoconf automake doxygen libtool perl-interpreter
BuildRequires:  kernel-headers libusb1-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libX11-devel libXv-devel

%description
libdc1394 is a library that provides a high level programming interface for
application developers who wish to control and capture streams from IEEE 1394
based cameras that conform to the 1394-based Digital Camera Specifications
(also known as the IIDC or DCAM Specifications). libdc1394 also supports
some USB cameras that are IIDC compliant.

Besides capture and control, libdc1394 provides a full set of colour space
conversion functions (including RAW decoding), vendor specific functions and
direct camera register access.


%package devel
Summary:    Header files and libraries for %{name}
Requires:   %{name} = %{version}-%{release}
Requires:   libraw1394-devel

%description devel
This package contains the header files and libraries and documents for %{name}.


%package tools
Summary:    Tools for use with %{name}

%description tools
This package contains tools that are useful when working and developing with %{name}.


%prep
%autosetup -p1


%build
autoreconf -vif
%configure --disable-static --enable-doxygen-html --enable-doxygen-dot
%make_build
%make_build doc


%install
%make_install

for p in grab_color_image grab_gray_image grab_partial_image ladybug grab_partial_pvn; do
    install -p -m 0755 -s examples/.libs/$p %{buildroot}%{_bindir}/dc1394_$p
done
install -p -m 0755 examples/dc1394_multiview %{buildroot}%{_bindir}/dc1394_multiview

for f in grab_color_image grab_gray_image grab_partial_image; do
    mv %{buildroot}%{_mandir}/man1/$f.1 %{buildroot}%{_mandir}/man1/dc1394_$f.1
done

find %{buildroot} -name "*.la" -delete


%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/%{name}.so.%{sover}*


%files devel
%doc examples/*.h examples/*.c
%doc doc/html/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}-2.pc
%{_includedir}/dc1394/


%files tools
%{_bindir}/dc1394_grab_color_image
%{_bindir}/dc1394_grab_gray_image
%{_bindir}/dc1394_grab_partial_image
%{_bindir}/dc1394_grab_partial_pvn
%{_bindir}/dc1394_ladybug
%{_bindir}/dc1394_multiview
%{_bindir}/dc1394_reset_bus
%{_mandir}/man1/dc1394_grab_color_image.*
%{_mandir}/man1/dc1394_grab_gray_image.*
%{_mandir}/man1/dc1394_grab_partial_image.*
%{_mandir}/man1/dc1394_multiview.*
%{_mandir}/man1/dc1394_reset_bus.*
%{_mandir}/man1/dc1394_vloopback.*


%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 2.2.7-1
- Upgrade to version 2.2.7

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.6-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.6-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 rockerzhu <rockerzhu@tencent.com> - 2.2.6-1
- Initial build.
